Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.access.util
Class QueryUtils

    java.lang.Object
      org.apache.cayenne.access.util.QueryUtils

Deprecated. In 1.2 Cayenne supports specialized queries such as `ObjectIdQuery` and `RelationshipQuery`, making this class redundant.

    public class QueryUtils

extends java.lang.Object

Implements helper methods that perform different query-related operations.

Author:
  Andrus Adamchik

Constructor Summary
`QueryUtils()` Deprecated.

Method Summary
`static SelectQuery` | `selectObjectForId(ObjectId oid)` Deprecated. Creates and returns a select query that can be used to fetch an object given an ObjectId.
`static SelectQuery` | `selectQueryForIds(java.util.List oids)` Deprecated. Creates and returns a select query that can be used to fetch a list of objects given a list of ObjectIds.
`static SelectQuery` | `selectRelationshipObjects(QueryEngine e, DataObject source, java.lang.String relName)` Deprecated. Generates a SelectQuery that can be used to fetch relationship destination objects given a source object of a to-many relationship.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryUtils

    public QueryUtils()

  Deprecated.

Method Detail

### selectObjectForId

    public static SelectQuery selectObjectForId(ObjectId oid)

  Deprecated.
  Creates and returns a select query that can be used to fetch an object given an ObjectId.

### selectQueryForIds

    public static SelectQuery selectQueryForIds(java.util.List oids)

  Deprecated.
  Creates and returns a select query that can be used to fetch a list of objects given a list of ObjectIds. All ObjectIds must belong to the same entity.

### selectRelationshipObjects

    public static SelectQuery selectRelationshipObjects(QueryEngine e,
                                                        DataObject source,
                                                        java.lang.String relName)

  Deprecated.
  Generates a SelectQuery that can be used to fetch relationship destination objects given a source object of a to-many relationship.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.